# storybook-configuration

Create stories/specs for all components declared in a library

## Usage

```bash
nx generate storybook-configuration ...
```

By default, Nx will search for `storybook-configuration` in the default collection provisioned in `workspace.json`.

You can specify the collection explicitly as follows:

```bash
nx g @nrwl/angular:storybook-configuration ...
```

Show what will be generated without writing to disk:

```bash
nx g storybook-configuration ... --dry-run
```

## Options

### configureCypress

Type: `boolean`

Run the cypress-configure schematic

### generateCypressSpecs

Type: `boolean`

Automatically generate \*.spec.ts files in the cypress e2e app generated by the cypress-configure schematic

### generateStories

Type: `boolean`

Automatically generate \*.stories.ts files for components declared in this library

### name

Type: `string`

Library name
